LookupTranslator
Date: 2017-02-08

org.apache.commons.lang3.text.translate

## Class LookupTranslator

- java.lang.Object
- - org.apache.commons.lang3.text.translate.CharSequenceTranslator
  - - org.apache.commons.lang3.text.translate.LookupTranslator

-     public class LookupTranslator
      extends CharSequenceTranslator

  Translates a value using a lookup table.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookupTranslator(java.lang.CharSequence[]... lookup)` Define the lookup table to be used in translation Note that, as of Lang 3.1, the key to the lookup table is converted to a java.lang.String.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `translate(java.lang.CharSequence input, int index, java.io.Writer out)` Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints.

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LookupTranslator

          public LookupTranslator(java.lang.CharSequence[]... lookup)

      Define the lookup table to be used in translation Note that, as of Lang 3.1, the key to the lookup table is converted to a java.lang.String. This is because we need the key to support hashCode and equals(Object), allowing it to be the key for a HashMap. See LANG-882.
      Parameters:
        `lookup` - CharSequence[][] table of size [*][2]

  - ### Method Detail

    - #### translate

          public int translate(java.lang.CharSequence input,
                      int index,
                      java.io.Writer out)
                        throws java.io.IOException

      Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints. The number of codepoints consumed must be returned, and the only IOExceptions thrown must be from interacting with the Writer so that the top level API may reliably ignore StringWriter IOExceptions.
      Specified by:
        `translate` in class `CharSequenceTranslator`
      Parameters:
        `input` - CharSequence that is being translated
        `index` - int representing the current point of translation
        `out` - Writer to translate the text to
      Returns:
        int count of codepoints consumed
      Throws:
        `java.io.IOException` - if and only if the Writer produces an IOException